Oracle Coherence for C++ API
Release 3.6.0.0
E15728-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# NumberIncrementor Class Reference

`#include <coherence/util/processor/NumberIncrementor.hpp>`

Inherits PropertyProcessor.

List of all members.

## Detailed Description

The NumberIncrementor entry processor is used to increment a property value of a Number type.

Author:
  tb 2008.04.28

## Public Types
typedef spec::Handle | Handle
| NumberIncrementor Handle definition.
typedef spec::View | View
| NumberIncrementor View definition.
typedef spec::Holder | Holder
| NumberIncrementor Holder definition.
## Public Member Functions
virtual Object::Holder | process (InvocableMap::Entry::Handle hEntry) const
  | Process a Map::Entry object. Parameters:
  | hEntry | the Entry to process
Returns: the result of the processing, if any
virtual void | readExternal (PofReader::Handle hIn)
virtual void | writeExternal (PofWriter::Handle hOut) const
virtual void | outputDescription (std::ostream &out) const
  | Output a human-readable description of the state of this class in the form of a delimited list of name-value pairs. Generally it is also advisable to start with a call to super::outputDescription(out) The default implementation does not output anything to the stream. Parameters:
  | out | the stream to output the description to
## Static Public Member Functions
static Number::View | getInteger16Zero ()
| The Integer16 value of 0.
static Number::View | getInteger32Zero ()
| The Integer32 value of 0.
static Number::View | getInteger64Zero ()
| The Integer64 value of 0.
static Number::View | getFloat32Zero ()
| The Float32 value of 0.
static Number::View | getFloat64Zero ()
| The Float64 value of 0.
## Protected Member Functions
| NumberIncrementor ()
| Construct an NumberIncrementor processor.
| NumberIncrementor (ValueManipulator::View vManipulator, Number::View vNumInc, bool fPostIncrement)
| Construct an NumberIncrementor processor that will increment a property value by a specified amount, returning either the old or the new value as specified.
## Protected Attributes
MemberView< Number > | m_vNumInc
| The number to increment by.
bool | m_fPostInc
| Whether to return the value before it was incremented ("post-increment") or after it is incremented ("pre-increment").

## Constructor & Destructor Documentation

NumberIncrementor | ( | ValueManipulator::View | vManipulator,
|  | Number::View | vNumInc,
|  | bool | fPostIncrement |
| ) |  |  | `[protected]`

Construct an NumberIncrementor processor that will increment a property value by a specified amount, returning either the old or the new value as specified.

The type of the numInc parameter will dictate the type of the original and the new value.

Parameters:

  | vManipulator | the ValueManipulator; could be NULL
  | vNumInc | the Number representing the magnitude and sign of the increment
  | fPostIncrement | pass true to return the value as it was before it was incremented, or pass false to return the value as it is after it is incremented

The documentation for this class was generated from the following file:

- coherence/util/processor/NumberIncrementor.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.